SELECT
 T_Formation.Intitule as Col1,
  'Du ' || TO_CHAR(T_Formation.DateDebutSession) || ' au ' || TO_CHAR(T_Formation.DateFinSession) || ' (' || T_PARFOR_ETA.CodeEtape || ')' as Col2
FROM
  T_FORMATION
  LEFT OUTER JOIN T_PARFOR_ETA ON T_PARFOR_ETA.IdParForEta = T_FORMATION.IdParForEta
Where  (     CURRENT_TIMESTAMP >= NVL(-%NbJoursAvant%,0) + T_Formation.DateDebutSession
		 and CURRENT_TIMESTAMP <= NVL(%NbJoursApres%,0) + T_Formation.DateDebutSession
         and (NVL(T_PARFOR_ETA.CodeEtape,'') = NVL('%Statut1%',' ')
              OR NVL(T_PARFOR_ETA.CodeEtape,'') = NVL('%Statut2%',' ')
              OR NVL(T_PARFOR_ETA.CodeEtape,'') = NVL('%Statut3%',' '))
		)

